# H4502_CTUpdateArg Class Reference

`#include <h4502.h>`

Inheritance diagram for H4502_CTUpdateArg:

List of all members.

## Public Types

enum | OptionalFields { e_redirectionInfo, e_basicCallInfoElements, e_argumentExtension }

## Public Member Functions

| H4502_CTUpdateArg (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4501_EndpointAddress | m_redirectionNumber
PASN_BMPString | m_redirectionInfo
H4501_H225InformationElement | m_basicCallInfoElements
H4502_CTUpdateArg_argumentExtension | m_argumentExtension

## Member Enumeration Documentation

enum H4502_CTUpdateArg::OptionalFields

Enumerator:

  e_redirectionInfo |
  e_basicCallInfoElements |
  e_argumentExtension |

## Constructor & Destructor Documentation

H4502_CTUpdateArg::H4502_CTUpdateArg | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4502_CTUpdateArg::GetDataLength | ( |  | ) | const

PBoolean H4502_CTUpdateArg::Decode | ( | PASN_Stream & | strm | ) |

void H4502_CTUpdateArg::Encode | ( | PASN_Stream & | strm | ) | const

void H4502_CTUpdateArg::PrintOn | ( | ostream & | strm | ) | const

Comparison H4502_CTUpdateArg::Compare | ( | const PObject & | obj | ) | const

PObject* H4502_CTUpdateArg::Clone | ( |  | ) | const

## Member Data Documentation

H4501_EndpointAddress H4502_CTUpdateArg::m_redirectionNumber

PASN_BMPString H4502_CTUpdateArg::m_redirectionInfo

H4501_H225InformationElement H4502_CTUpdateArg::m_basicCallInfoElements

H4502_CTUpdateArg_argumentExtension H4502_CTUpdateArg::m_argumentExtension

The documentation for this class was generated from the following file:

- h4502.h